Intermittent test_window_close_content.py TestCloseWindow.test_close_window_for_last_open_tab | NoSuchWindowException: Unable to locate window

RESOLVED INCOMPLETE

Status

Testing
Marionette
P5
normal
RESOLVED INCOMPLETE
a month ago
5 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Version 3
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

a month ago
treeherder
Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=136977106&repo=autoland

https://queue.taskcluster.net/v1/task/a1w3bKLWTL-20PFPfuqq2g/runs/0/artifacts/public/logs/live_backing.log

[task 2017-10-14T08:55:20.831Z] 08:55:20     INFO -  1507971320825	Marionette	TRACE	94 -> [0,5,"executeScript",{"scriptTimeout":null,"newSandbox":true,"args":[],"filename":"testcases.py","script":"dump('TEST-START: test_window_close_content.py TestCloseWindow.test_close_window_for_last_open_tab\\n')","sandbox":"simpletest","line":316}]
[task 2017-10-14T08:55:20.835Z] 08:55:20     INFO -  1507971320829	Marionette	TRACE	94 <- [1,5,{"error":"no such window","message":"Unable to locate window","stacktrace":"WebDriverError@chrome://marionette/content/error.js:172:5\nNoSuchWindowError@chrome://marionette/content/error.js:414:5\nassert ... ync*onPacket@chrome://marionette/content/server.js:513:8\n_onJSONObjectReady/<@chrome://marionette/content/transport.js:500:9\n"},null]
[task 2017-10-14T08:55:20.893Z] 08:55:20     INFO -  1507971320881	Marionette	TRACE	94 -> [0,6,"getContext",{}]
[task 2017-10-14T08:55:20.893Z] 08:55:20     INFO -  1507971320884	Marionette	TRACE	94 <- [1,6,null,{"value":"content"}]
[task 2017-10-14T08:55:21.054Z] 08:55:21     INFO -  1507971321048	Marionette	TRACE	94 -> [0,7,"setContext",{"value":"chrome"}]
[task 2017-10-14T08:55:21.060Z] 08:55:21     INFO -  1507971321050	Marionette	TRACE	94 <- [1,7,null,{}]
[task 2017-10-14T08:55:21.064Z] 08:55:21     INFO -  1507971321053	Marionette	TRACE	94 -> [0,8,"takeScreenshot",{"highlights":null,"full":true,"hash":false,"id":null,"scroll":true}]
[task 2017-10-14T08:55:21.072Z] 08:55:21     INFO -  1507971321056	Marionette	TRACE	94 <- [1,8,{"error":"no such window","message":"Unable to locate window","stacktrace":"WebDriverError@chrome://marionette/content/error.js:172:5\nNoSuchWindowError@chrome://marionette/content/error.js:414:5\nassert ... ync*onPacket@chrome://marionette/content/server.js:513:8\n_onJSONObjectReady/<@chrome://marionette/content/transport.js:500:9\n"},null]
[task 2017-10-14T08:55:21.076Z] 08:55:21     INFO -  1507971321061	Marionette	TRACE	94 -> [0,9,"setContext",{"value":"content"}]
[task 2017-10-14T08:55:21.078Z] 08:55:21  WARNING - Failed to gather test failure debug: Unable to locate window
[task 2017-10-14T08:55:21.080Z] 08:55:21  WARNING - stacktrace:
[task 2017-10-14T08:55:21.082Z] 08:55:21  WARNING - 	WebDriverError@chrome://marionette/content/error.js:172:5
[task 2017-10-14T08:55:21.084Z] 08:55:21  WARNING - 	NoSuchWindowError@chrome://marionette/content/error.js:414:5
[task 2017-10-14T08:55:21.086Z] 08:55:21  WARNING - 	assert.that/<@chrome://marionette/content/assert.js:384:13
[task 2017-10-14T08:55:21.088Z] 08:55:21  WARNING - 	assert.window@chrome://marionette/content/assert.js:118:10
[task 2017-10-14T08:55:21.091Z] 08:55:21  WARNING - 	GeckoDriver.prototype.takeScreenshot@chrome://marionette/content/driver.js:2884:13
[task 2017-10-14T08:55:21.093Z] 08:55:21  WARNING - 	despatch@chrome://marionette/content/server.js:565:20
[task 2017-10-14T08:55:21.095Z] 08:55:21  WARNING - 	async*execute@chrome://marionette/content/server.js:539:11
[task 2017-10-14T08:55:21.096Z] 08:55:21  WARNING - 	async*onPacket/<@chrome://marionette/content/server.js:514:15
[task 2017-10-14T08:55:21.098Z] 08:55:21  WARNING - 	async*onPacket@chrome://marionette/content/server.js:513:8
[task 2017-10-14T08:55:21.101Z] 08:55:21  WARNING - 	_onJSONObjectReady/<@chrome://marionette/content/transport.js:500:9
[task 2017-10-14T08:55:21.104Z] 08:55:21  WARNING - 
[task 2017-10-14T08:55:21.107Z] 08:55:21     INFO - TEST-UNEXPECTED-ERROR | test_window_close_content.py TestCloseWindow.test_close_window_for_last_open_tab | NoSuchWindowException: Unable to locate window
[task 2017-10-14T08:55:21.109Z] 08:55:21     INFO - stacktrace:
[task 2017-10-14T08:55:21.110Z] 08:55:21     INFO - 	WebDriverError@chrome://marionette/content/error.js:172:5
[task 2017-10-14T08:55:21.112Z] 08:55:21     INFO - 	NoSuchWindowError@chrome://marionette/content/error.js:414:5
[task 2017-10-14T08:55:21.114Z] 08:55:21     INFO - 	assert.that/<@chrome://marionette/content/assert.js:384:13
[task 2017-10-14T08:55:21.115Z] 08:55:21     INFO - 	assert.window@chrome://marionette/content/assert.js:118:10
[task 2017-10-14T08:55:21.117Z] 08:55:21     INFO - 	GeckoDriver.prototype.executeScript@chrome://marionette/content/driver.js:938:3
[task 2017-10-14T08:55:21.119Z] 08:55:21     INFO - 	Async*despatch@chrome://marionette/content/server.js:565:20
[task 2017-10-14T08:55:21.127Z] 08:55:21     INFO - 	async*execute@chrome://marionette/content/server.js:539:11
[task 2017-10-14T08:55:21.129Z] 08:55:21     INFO - 	async*onPacket/<@chrome://marionette/content/server.js:514:15
[task 2017-10-14T08:55:21.130Z] 08:55:21     INFO - 	async*onPacket@chrome://marionette/content/server.js:513:8
[task 2017-10-14T08:55:21.132Z] 08:55:21     INFO - 	_onJSONObjectReady/<@chrome://marionette/content/transport.js:500:9
[task 2017-10-14T08:55:21.134Z] 08:55:21     INFO - Traceback (most recent call last):
[task 2017-10-14T08:55:21.135Z] 08:55:21     INFO -   File "/builds/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_harness/marionette_test/testcases.py", line 137, in run
[task 2017-10-14T08:55:21.137Z] 08:55:21     INFO -     self.setUp()
[task 2017-10-14T08:55:21.139Z] 08:55:21     INFO -   File "/builds/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_harness/runner/mixins/window_manager.py", line 15, in setUp
[task 2017-10-14T08:55:21.140Z] 08:55:21     INFO -     super(WindowManagerMixin, self).setUp()
[task 2017-10-14T08:55:21.142Z] 08:55:21     INFO -   File "/builds/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_harness/marionette_test/testcases.py", line 316, in setUp
[task 2017-10-14T08:55:21.144Z] 08:55:21     INFO -     sandbox="simpletest")
[task 2017-10-14T08:55:21.146Z] 08:55:21     INFO -   File "/builds/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_driver/marionette.py", line 1798, in execute_script
[task 2017-10-14T08:55:21.147Z] 08:55:21     INFO -     rv = self._send_message("executeScript", body, key="value")
[task 2017-10-14T08:55:21.149Z] 08:55:21     INFO -   File "/builds/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_driver/decorators.py", line 23, in _
[task 2017-10-14T08:55:21.151Z] 08:55:21     INFO -     return func(*args, **kwargs)
[task 2017-10-14T08:55:21.152Z] 08:55:21     INFO -   File "/builds/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_driver/marionette.py", line 760, in _send_message
[task 2017-10-14T08:55:21.154Z] 08:55:21     INFO -     self._handle_error(err)
[task 2017-10-14T08:55:21.156Z] 08:55:21     INFO -   File "/builds/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_driver/marionette.py", line 793, in _handle_error
[task 2017-10-14T08:55:21.157Z] 08:55:21     INFO -     raise errors.lookup(error)(message, stacktrace=stacktrace)
[task 2017-10-14T08:55:21.159Z] 08:55:21     INFO - TEST-INFO took 2057ms

Comment 1

a month ago
1 failures in 947 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1408639&startday=2017-10-09&endday=2017-10-15&tree=all
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: 5 days ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.